package hh.dejsem.net;

import hh.dejsem.K;
import hh.dejsem.fm.NetTaskRef;
import hh.lib.D;

/**
 * copy to/from server asynchronously
 */
class ServerCopy extends LongAsyncTask {

	NetConnSrv netConn;

	ServerCopy(D d, NetTaskRef netTaskRef) throws Exception  {
		super(d, netTaskRef);
		int port = args.getInt(K.PORT_KEY, 0);
		netConn = new NetConnSrv(this.d, String.format("[%d]", port), netTaskRef); }
}
